## ros-jazzy-phidgets-spatial 2.3.3

=== debian/changelog ===
ros-jazzy-phidgets-spatial (2.3.3-3bookworm) bookworm; urgency=high

  * Add support for VINT networkhub (#172 <https://github.com/ros-drivers/phidgets_drivers/issues/172>)
    This is a port of #127 <https://github.com/ros-drivers/phidgets_drivers/issues/127> to ROS2.
    Closes #135 <https://github.com/ros-drivers/phidgets_drivers/issues/135>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Mar 2024 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.3.2-3bookworm) bookworm; urgency=high

  * Only set magnetometer gain if param is set (#169 <https://github.com/ros-drivers/phidgets_drivers/issues/169>)
  * added new parameters for spatial precision MOT0109 onwards
  * added support for phidget spatial onboard orientation estimation
  * Contributors: Malte kl. Piening, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 26 Nov 2023 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.3.1-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 02 Mar 2023 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.3.0-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Apr 2022 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.2.2-3bookworm) bookworm; urgency=high

  * Fix behavior after USB reattachment (#119 <https://github.com/ros-drivers/phidgets_drivers/issues/119>)
    The Phidged Spatial never recovered after detaching and reattaching to
    the USB port. This commit fixes that.
  * Add attach + detach handlers
  * Fix publishing of invalid mag readings (#116 <https://github.com/ros-drivers/phidgets_drivers/issues/116>)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.2.1-3bookworm) bookworm; urgency=high

  * Make the magnetometer corrections optional again. (#95 <https://github.com/ros-drivers/phidgets_drivers/issues/95>)
  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 02 Aug 2021 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.2.0-3bookworm) bookworm; urgency=high

  * Make sure to declare the type while declaring the parameter. (#89 <https://github.com/ros-drivers/phidgets_drivers/issues/89>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 19 May 2021 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.1.0-3bookworm) bookworm; urgency=high

  * Don't publish messages that jumped back in time. (#86 <https://github.com/ros-drivers/phidgets_drivers/issues/86>)
  * Log synchronization window details at DEBUG level (#84 <https://github.com/ros-drivers/phidgets_drivers/issues/84>)
  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
  * Switch header guards to _HPP SUFFIX.
  * Contributors: Chris Lalancette, Martin Günther, Michael Grupp

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 28 Mar 2021 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.0.2-3bookworm) bookworm; urgency=high

  * Release build fixes (#67 <https://github.com/ros-drivers/phidgets_drivers/issues/67>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 31 May 2020 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.0.1-3bookworm) bookworm; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 16:00:00 -0000

ros-jazzy-phidgets-spatial (2.0.0-3bookworm) bookworm; urgency=high

  * Include file cleanup.
  * Make sure exceptions get caught by reference.
  * Switch from NULL to nullptr.
  * Make sure to initialize class member variables.
  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Change launch output to "both" so it logs as well.
  * Make publish_rate a double.
  * Print out the serial number when connecting.
  * Update documentation to mention device dependent fields.
  * Update FIXME comments for sleep.
  * Port spatial to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Fix wrong defaults for standard deviations (#48 <https://github.com/ros-drivers/phidgets_drivers/issues/48>)
  * Improve the IMU calibration service (#47 <https://github.com/ros-drivers/phidgets_drivers/issues/47>)
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Resynchronize the times at periodic intervals.
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Finish removing launch file from phidgets_spatial.
  * Rewrite IMU using libphidget22.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 16:00:00 -0000

ros-jazzy-phidgets-spatial (0.7.9-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 16:00:00 -0000

ros-jazzy-phidgets-spatial (0.7.8-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 16:00:00 -0000

ros-jazzy-phidgets-spatial (0.7.7-3bookworm) bookworm; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 16:00:00 -0000


