=== debian/control ===
Source: ros-jazzy-phidgets-spatial
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-ros, ros-jazzy-phidgets-api, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-std-msgs, ros-jazzy-std-srvs, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/phidgets_spatial
Standards-Version: 3.9.2

Package: ros-jazzy-phidgets-spatial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-launch, ros-jazzy-phidgets-api, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-std-msgs, ros-jazzy-std-srvs, ros-jazzy-ros-workspace
Description: Driver for the Phidgets Spatial 3/3/3 devices
